import React, { ReactNode } from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
import { Layout } from "../../../settings/enums/Layout";
interface IProps {
    mxEvent: MatrixEvent;
    layout: Layout;
    children: ReactNode;
}
interface IState {
    error?: Error;
}
export default class TileErrorBoundary extends React.Component<IProps, IState> {
    constructor(props: IProps);
    static getDerivedStateFromError(error: Error): Partial<IState>;
    private onBugReport;
    private onViewSource;
    render(): ReactNode;
}
export {};
